using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace A
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int a = int.Parse(s[0]), b = int.Parse(s[1]);
            s = Console.ReadLine().Split(' ');
            int x = int.Parse(s[0]), y = int.Parse(s[1]);

            if (x == a && y == b) Console.WriteLine("nijedan");
            else if (x == a && y < b) Console.WriteLine("drugi");
            else if (x < a && y == b) Console.WriteLine("prvi");
            else Console.WriteLine("?");
        }
    }
}